Reports

Retrieve your reconciliation reports programmatically with the Reports API.

Get all reports

Returns the list of reports and their details.

Query Parameters
  • created_after
    Type: string Format: date-time

    Filters reports to those created on or after the specified timestamp, in UTC.
    Format – ISO 8601 code

  • created_before
    Type: string Format: date-time

    Filters reports to those created before the specified timestamp, in UTC.
    Format – ISO 8601 code

  • entity_id
    Type: string Pattern: ^(ent)_(\w{26})$

    Filters reports to those created for the specified entity.
    Sub-entity IDs are not supported.

  • limit
    Type: integer Format: int32
    min:  
    1
    max:  
    100

    The number of results you want to include per page.
    For example, if there are 50 results and you set limit=10, you receive 5 pages each containing 10 results.

  • pagination_token
    Type: string

    A token used to paginate multiple pages of results.

Responses
  • application/json
  • 401

    Unauthorized – Access token may be invalid or missing

Request Example for get/reports
curl 'https://{prefix}.api.sandbox.checkout.com/reports' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "count": 1,
  "limit": 5,
  "data": [
    {
      "id": "rpt_lmmldzousk7etoqijqundqexa4",
      "created_on": "2022-02-18T13:00:12.357Z",
      "last_modified_on": "2022-02-18T13:16:12.357Z",
      "type": "Authentication",
      "description": "Reconciliation Report for X.",
      "account": {
        "client_id": "cli_bvaelhppmfiufdnatam37wrfc4",
        "entity_id": "ent_znj4ih5kn4fuxiaquoudv5mvwy"
      },
      "tags": [
        "payout_id:pay_123456789"
      ],
      "from": "2022-02-17T12:00:00Z",
      "to": "2022-02-18T12:00:00Z",
      "files": [
        {
          "id": "file_7ysmgfkj4ipunduud22uf73iey",
          "filename": "financial-actions_ent_znj4ih5kn4fuxiaquoudv5mvwy_20220218_000000001drl_1.csv",
          "format": "CSV",
          "_links": {
            "self": {
              "href": "https://{prefix}.api.checkout.com/reports/rpt_lmmldzousk7etoqijqundqexa4/files/file_lmmldzousk7etoqijqundqexa4"
            }
          }
        }
      ],
      "_links": {
        "self": {
          "href": "https://{prefix}.api.checkout.com/reports/rpt_lmmldzousk7etoqijqundqexa4"
        }
      }
    }
  ],
  "_links": {
    "self": {
      "href": "https://{prefix}.api.checkout.com/reports?entity_id=ent_znj4ih5kn4fuxiaquoudv5mvwy&created_after=2022-02-17T00:00:00.000Z&limit=5"
    },
    "next": {
      "href": "https://{prefix}.api.checkout.com/reports?pagination_token=NaZMwq3KbreYcXg0dg752Dg8ps4orkwVK9pj9WFzkXk8rPoR32Wf74QWX0EkZ&entity_id=ent_znj4ih5kn4fuxiaquoudv5mvwy&created_after=2022-02-17T00:00:00.000Z&limit=5"
    }
  }
}

Get report details

Use this endpoint to retrieve a specific report using its ID.

Path Parameters
  • id
    Type: string Pattern: ^(rpt)_(\w{26})$
    required

    The ID of the report to retrieve.

Responses
  • application/json
  • 401

    Unauthorized. Likely causes include an invalid or unspecified access token.

  • application/json
Request Example for get/reports/{id}
curl 'https://{prefix}.api.sandbox.checkout.com/reports/rpt_lmmldzousk7etoqijqundqexa4' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "id": "rpt_lmmldzousk7etoqijqundqexa4",
  "created_on": "2022-02-18T13:00:12.357Z",
  "last_modified_on": "2022-02-18T13:16:12.357Z",
  "type": "Authentication",
  "description": "Reconciliation Report for X.",
  "account": {
    "client_id": "cli_bvaelhppmfiufdnatam37wrfc4",
    "entity_id": "ent_znj4ih5kn4fuxiaquoudv5mvwy"
  },
  "tags": [
    "payout_id:pay_123456789"
  ],
  "from": "2022-02-17T12:00:00Z",
  "to": "2022-02-18T12:00:00Z",
  "files": [
    {
      "id": "file_7ysmgfkj4ipunduud22uf73iey",
      "filename": "financial-actions_ent_znj4ih5kn4fuxiaquoudv5mvwy_20220218_000000001drl_1.csv",
      "format": "CSV",
      "_links": {
        "self": {
          "href": "https://{prefix}.api.checkout.com/reports/rpt_lmmldzousk7etoqijqundqexa4/files/file_lmmldzousk7etoqijqundqexa4"
        }
      }
    }
  ],
  "_links": {
    "self": {
      "href": "https://{prefix}.api.checkout.com/reports/rpt_lmmldzousk7etoqijqundqexa4"
    }
  }
}

Get report file

Use this endpoint to retrieve a specific file from a given report using their respective IDs.

Path Parameters
  • id
    Type: string Pattern: ^(rpt)_(\w{26})$
    required

    The ID of the report that the file belongs to.

  • fileId
    Type: string Pattern: ^(file)_(\w{26})$
    required

    The ID of the file to retrieve.

Responses
  • 401

    Unauthorized. Likely causes include an invalid or unspecified access token.

  • application/json
Request Example for get/reports/{id}/files/{fileId}
curl 'https://{prefix}.api.sandbox.checkout.com/reports/rpt_lmmldzousk7etoqijqundqexa4/files/file_7ysmgfkj4ipunduud22uf73iey' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
No Body